Index: sandbox/jabberit_messenger/trophy/xsl/contactsList.xsl
===================================================================
--- sandbox/jabberit_messenger/trophy/xsl/contactsList.xsl	(revision 2320)
+++ sandbox/jabberit_messenger/trophy/xsl/contactsList.xsl	(revision 2325)
@@ -9,6 +9,6 @@
 			
 			<div style="position: absolute; margin-top: -19px; margin-left: 75px; cursor: pointer;" onclick="loadIM.setPresence(this);">
-				<div style="background-image: url('images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
-				<div style="margin-top: -13px; margin-left: 30px;"> Online </div>
+				<div id="statusJabberImg" style="background-image: url('images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
+				<div id="statusJabberText" style="margin-top: -13px; margin-left: 30px;"> Disponível </div>
 				<div style="background-image: url('images/arrow_down.gif'); margin-top: -8px; margin-left: 0px; width:15px; height:15px;"/> 
 			</div>
Index: sandbox/jabberit_messenger/trophy/css/window_escritorio.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_escritorio.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_escritorio.css	(revision 2325)
@@ -7,5 +7,4 @@
 	color		: #fff !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_cataratas.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_cataratas.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_cataratas.css	(revision 2325)
@@ -5,5 +5,4 @@
 	color		: #ffffed !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_default.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_default.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_default.css	(revision 2325)
@@ -7,5 +7,4 @@
 	color:		: #585656 !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_metropole.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_metropole.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_metropole.css	(revision 2325)
@@ -7,5 +7,4 @@
 	color		: #fffcdf !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_azul.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_azul.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_azul.css	(revision 2325)
@@ -5,5 +5,4 @@
 	color		: #15428b !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_celepar.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_celepar.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_celepar.css	(revision 2325)
@@ -7,5 +7,4 @@
 	color:		: #585656 !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_comics.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_comics.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_comics.css	(revision 2325)
@@ -7,5 +7,4 @@
 	color		: #000 !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/css/window_rochas.css
===================================================================
--- sandbox/jabberit_messenger/trophy/css/window_rochas.css	(revision 2271)
+++ sandbox/jabberit_messenger/trophy/css/window_rochas.css	(revision 2325)
@@ -7,5 +7,4 @@
 	color		: #000 !important;
 	display		: none;
-	margin		: 20px 5px 0px -15px;
 	position	: absolute;
 }
Index: sandbox/jabberit_messenger/trophy/js/loadIM.js
===================================================================
--- sandbox/jabberit_messenger/trophy/js/loadIM.js	(revision 2320)
+++ sandbox/jabberit_messenger/trophy/js/loadIM.js	(revision 2325)
@@ -1,7 +1,8 @@
 (function()
 {
-	var path	= "/jmessenger/";
-	var _xtools	= null;
-	var zIndex	= 9001;
+	var path			= "/jmessenger/";
+	var _showhidden 	= null;
+	var _xtools			= null;
+	var zIndex			= 9001;
 	
 	function configEvents(pObj, pEvent, pHandler)
@@ -134,25 +135,4 @@
 	}
 	
-	function TrophyIMStatusDiv()
-	{
-        var statusDiv = '<div id="trophyimstatus">' +
-        					'<span>Status::::</span>' +
-        					'<span id="trophyimstatuslist">Select box</span>' +
-        					'<br/>' + 
-        					'<form>' +
-        						'<input type="button" value="disconnect" onclick="TrophyIM.logout()"/>' +
-        					'</form>' +
-        						'<input type="button" value="DND" onclick="TrophyIM.setTest(\'dnd\')">'+
-        						'<input type="button" value="AWAY" onclick="TrophyIM.setTest(\'away\')">'+
-        						'<input type="button" value="XA" onclick="TrophyIM.setTest(\'xa\')">'+
-        						'<input type="button" value="INVISIBLE" onclick="TrophyIM.setTest(\'invisible\')">'+
-        						'<input type="button" value="UNAVAILABLE" onclick="TrophyIM.setTest(\'unavailable\')">'+
-        						'<input type="button" value="AVAILABLE" onclick="TrophyIM.setTest(\'available\')">'+
-        				'</div>';
-		
-		return statusDiv;
-		
-	}
-	
 	function HTMLSnippets( pType )
 	{
@@ -174,9 +154,7 @@
 	
 			this.rosterItem		= TrophyIMRosterItem;
-				
-			this.statusDiv		= TrophyIMStatusDiv;
+
 		} );
 	}
-	
 	
 	function getZindex()
@@ -196,5 +174,5 @@
 	function loadScripts(pFiles)
 	{
-		//Load JavaScript
+		// Load JavaScript
 		var loadJavaScript = function(pJs)
 		{
@@ -206,5 +184,5 @@
 		};
 		
-		//Load CSS
+		// Load CSS
 		var loadStyleSheet = function(pCss)
 		{
@@ -232,6 +210,49 @@
 		if( arguments.length > 0 )
 		{
-			alert('Valor : ' + arguments[0]);	
+			var element = arguments[0];
+			
+			if( _showhidden == null )
+				_showhidden = new ShowHidden(300);
+			
+			var _status = [
+				               ['Afastado', 'away', '<img src="images/away.gif" />'],
+				               ['Disponível', 'available', '<img src="images/available.gif" />'],
+				               ['Livre p/ Conversa', 'chat', '<img src="images/chat.gif" />'],
+				               ['Não Disponível', 'xa', '<img src="images/xa.gif" />'],
+				               ['Ocupado', 'dnd', '<img src="images/dnd.gif" />'],
+				          ];
+			
+			var _itens = "";
+			
+			for( var i in _status )
+			{
+				_itens += '<span style="cursor:pointer;" onclick="TrophyIM.setPresence(\''+_status[i][1]+'\'); loadIM.setStatusJabber(\''+_status[i][0]+'\',\''+_status[i][1]+'\');">';
+				_itens += _status[i][2]+ "<span style='margin:3px;'>" + _status[i][0] + "</span></span><br/>";
+			}
+			
+			var _statusItens = document.createElement("div");
+				_statusItens.setAttribute("style", "margin: 62px 0px 0px 76px;");
+				_statusItens.className		= "x-menu";
+				_statusItens.style.zIndex	= '99999';
+				_statusItens.innerHTML		= _itens;  
+										  
+				_showhidden.action('onmouseover', 'onmouseout', _statusItens);
+				
+			element.parentNode.onmouseout	= function(){ _showhidden.hiddenObject(false); };
+			element.parentNode.onmouseover	= function(){ _showhidden.hiddenObject(true); };
+			element.parentNode.appendChild(_statusItens);
 		}
+	}
+	
+	function setStatusJabber()
+	{
+		if( arguments.length > 0 )
+		{
+			var _text	= arguments[0];
+			var _img	= arguments[1];
+			
+			document.getElementById('statusJabberImg').setAttribute("style", "background-image: url('images/"+_img+".gif'); margin-left: 13px;width:15px; height:15px;");
+			document.getElementById('statusJabberText').innerHTML = _text;
+		}	
 	}
 	
@@ -250,5 +271,5 @@
 		           	 'js/show_hidden.js',
 		           	 'css/trophyim.css',
-		           	 //'css/window_azul.css'
+		           	 'css/window_azul.css'
 		           	 //'css/window_cataratas.css'
 		           	 //'css/window_celepar.css'
@@ -257,10 +278,10 @@
 		           	 //'css/window_escritorio.css'
 		           	 //'css/window_metropole.css'
-		           	 'css/window_rochas.css'
+		           	 //'css/window_rochas.css'
 		            ];
 		
 		loadScripts(files);
-	}
-	
+		
+	}
 	
 	loadIM.prototype.configEvents		= configEvents;
@@ -268,4 +289,5 @@
 	loadIM.prototype.parse				= parse;
 	loadIM.prototype.setPresence		= setPresence;
+	loadIM.prototype.setStatusJabber	= setStatusJabber;
 	
 	loadIM.prototype.HTMLSnippets		= new HTMLSnippets;
Index: sandbox/jabberit_messenger/trophy/js/trophyim.js
===================================================================
--- sandbox/jabberit_messenger/trophy/js/trophyim.js	(revision 2312)
+++ sandbox/jabberit_messenger/trophy/js/trophyim.js	(revision 2325)
@@ -72,5 +72,5 @@
         rosterItem	: loadIM.HTMLSnippets.rosterItem( ),
     
-        statusDiv	: loadIM.HTMLSnippets.statusDiv( ),
+        //statusDiv	: loadIM.HTMLSnippets.statusDiv( ),
 };
 
@@ -1075,5 +1075,4 @@
 		if( arguments.length > 0 )
 		{
-			//alert('Args 0 : ' + arguments[0]);
 			TrophyIM.connection.send($pres( ).c('show').t(arguments[0]));
 		}
@@ -1106,4 +1105,6 @@
 	    		// Add Message in chatBox;
 	    		TrophyIM.addMessage( message, jidTo);
+				document.getElementById(jidTo + "__sendBox").value = "";
+				document.getElementById(jidTo + "__sendBox").focus();
     		}
     	}