Index: /trunk/expressoMail1_2/programed_archiving.php
===================================================================
--- /trunk/expressoMail1_2/programed_archiving.php	(revision 1932)
+++ /trunk/expressoMail1_2/programed_archiving.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	/**************************************************************************/
 	ini_set("display_errors","1");
Index: /trunk/expressoMail1_2/save_preferences.php
===================================================================
--- /trunk/expressoMail1_2/save_preferences.php	(revision 1121)
+++ /trunk/expressoMail1_2/save_preferences.php	(revision 2360)
@@ -1,3 +1,13 @@
-<html>
+<?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 <head>
 <script src="js/main.js"></script>
Index: /trunk/expressoMail1_2/preferences.php
===================================================================
--- /trunk/expressoMail1_2/preferences.php	(revision 1121)
+++ /trunk/expressoMail1_2/preferences.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	/**************************************************************************/
 	
Index: /trunk/expressoMail1_2/offline.php
===================================================================
--- /trunk/expressoMail1_2/offline.php	(revision 1964)
+++ /trunk/expressoMail1_2/offline.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 		
 	$GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/expressoMail1_2/inc/hook_preferences.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/hook_preferences.inc.php	(revision 1518)
+++ /trunk/expressoMail1_2/inc/hook_preferences.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 if(!isset($GLOBALS['phpgw_info'])){
         $GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/expressoMail1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 2147)
+++ /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 if(!isset($_SESSION['phpgw_info']['expressomail']['server']['db_name'])) {
 	include_once('./header.inc.php');
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 2347)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 include_once("class.functions.inc.php");
Index: /trunk/expressoMail1_2/inc/class.user.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.user.inc.php	(revision 1059)
+++ /trunk/expressoMail1_2/inc/class.user.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 class user{
Index: /trunk/expressoMail1_2/inc/gotodownload.php
===================================================================
--- /trunk/expressoMail1_2/inc/gotodownload.php	(revision 2289)
+++ /trunk/expressoMail1_2/inc/gotodownload.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 if(!isset($GLOBALS['phpgw_info'])){
 	$GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/expressoMail1_2/inc/show_thumbs.php
===================================================================
--- /trunk/expressoMail1_2/inc/show_thumbs.php	(revision 2053)
+++ /trunk/expressoMail1_2/inc/show_thumbs.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 	require_once '../../header.session.inc.php';
Index: /trunk/expressoMail1_2/inc/class.ScriptS.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 2188)
+++ /trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 //Inclui o arquivo contendo a classe SieveS;
 include('class.SieveS.inc.php');
Index: /trunk/expressoMail1_2/inc/class.message_components.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 2236)
+++ /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
     class message_components {
 
Index: /trunk/expressoMail1_2/inc/class.SieveS.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.SieveS.inc.php	(revision 1149)
+++ /trunk/expressoMail1_2/inc/class.SieveS.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 //Conecta com o Servidor e o serviço Sieve;
Index: /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php	(revision 1059)
+++ /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 class imap_attachment
 {
Index: /trunk/expressoMail1_2/inc/show_img.php
===================================================================
--- /trunk/expressoMail1_2/inc/show_img.php	(revision 2053)
+++ /trunk/expressoMail1_2/inc/show_img.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 	require_once '../../header.session.inc.php';
Index: /trunk/expressoMail1_2/inc/show_embedded_attach.php
===================================================================
--- /trunk/expressoMail1_2/inc/show_embedded_attach.php	(revision 2053)
+++ /trunk/expressoMail1_2/inc/show_embedded_attach.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 	require_once '../../header.session.inc.php';
Index: /trunk/expressoMail1_2/inc/hook_home.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/hook_home.inc.php	(revision 2330)
+++ /trunk/expressoMail1_2/inc/hook_home.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	if(!isset($GLOBALS['phpgw_info'])){
         	$GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/expressoMail1_2/inc/load_lang.php
===================================================================
--- /trunk/expressoMail1_2/inc/load_lang.php	(revision 1572)
+++ /trunk/expressoMail1_2/inc/load_lang.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 // Load the lang of the module.
 	if(isset($offline_language)) { //Expresso offline, quando o gears sincroniza com uma nova versão, não é dado acesso as sessões do usuário, e é preciso o nome do arquivo de linguagens na session abaixo.
Index: /trunk/expressoMail1_2/inc/gd_functions.php
===================================================================
--- /trunk/expressoMail1_2/inc/gd_functions.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/gd_functions.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 if(!isset($GLOBALS['phpgw_info'])){
         $GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 1918)
+++ /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 include_once("class.imap_functions.inc.php");
 include_once("class.functions.inc.php");
Index: /trunk/expressoMail1_2/inc/class.functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.functions.inc.php	(revision 2087)
+++ /trunk/expressoMail1_2/inc/class.functions.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	class Functions{
 		function CallVoipConnect($params){
Index: /trunk/expressoMail1_2/inc/class.phpmailer.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 2316)
+++ /trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 ////////////////////////////////////////////////////
 // PHPMailer - PHP email class
Index: /trunk/expressoMail1_2/inc/class.smtp.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.smtp.php	(revision 2295)
+++ /trunk/expressoMail1_2/inc/class.smtp.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 ////////////////////////////////////////////////////
 // SMTP - PHP SMTP class
Index: /trunk/expressoMail1_2/inc/show_user_photo.php
===================================================================
--- /trunk/expressoMail1_2/inc/show_user_photo.php	(revision 2053)
+++ /trunk/expressoMail1_2/inc/show_user_photo.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 	require_once '../../header.session.inc.php';
Index: /trunk/expressoMail1_2/inc/class.imapfp.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imapfp.inc.php	(revision 2022)
+++ /trunk/expressoMail1_2/inc/class.imapfp.inc.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	 /*
 	 #######################################################################
Index: /trunk/expressoMail1_2/offline_preferences.php
===================================================================
--- /trunk/expressoMail1_2/offline_preferences.php	(revision 1121)
+++ /trunk/expressoMail1_2/offline_preferences.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	/**************************************************************************/
 	ini_set("display_errors","1");
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 2155)
+++ /trunk/expressoMail1_2/index.php	(revision 2360)
@@ -1,3 +1,13 @@
 <?php
+
+/***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 		
 	$GLOBALS['phpgw_info']['flags'] = array(