Index: /trunk/phpgwapi/inc/class.vfs.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vfs.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.vfs.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	if (empty ($GLOBALS['phpgw_info']['server']['file_repository']))
 	{
Index: /trunk/phpgwapi/inc/class.translation.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.translation.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.translation.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
-<?php 
+<?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	if (empty($GLOBALS['phpgw_info']['server']['translation_system']))
 	{
Index: /trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.xmlrpc_server_php.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 // Copyright (c) 1999,2000,2001 Edd Dumbill.
 // All rights reserved.
Index: /trunk/phpgwapi/inc/class.wsdl.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.wsdl.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.wsdl.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 /*
 
Index: /trunk/phpgwapi/inc/class.soap_parser.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soap_parser.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.soap_parser.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 	class soap_parser
Index: /trunk/phpgwapi/inc/class.xmlrpcresp.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpcresp.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.xmlrpcresp.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: /trunk/phpgwapi/inc/class.soapclient.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soapclient.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.soapclient.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 /*
 
Index: /trunk/phpgwapi/inc/class.xmlrpc_client.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpc_client.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.xmlrpc_client.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 // Copyright (c) 1999,2000,2001 Edd Dumbill.
 // All rights reserved.
Index: /trunk/phpgwapi/inc/class.soapval.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soapval.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.soapval.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 /*
 
Index: /trunk/phpgwapi/inc/class.xmlrpcval.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpcval.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.xmlrpcval.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: /trunk/phpgwapi/inc/class.soapmsg.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soapmsg.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.soapmsg.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 /*
 
Index: /trunk/phpgwapi/inc/class.pdf.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.pdf.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.pdf.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	/***************************************************************************\
 	* EGroupWare - pdf creation class                                           *
Index: /trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.xmlrpcmsg.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: /trunk/phpgwapi/inc/class.vfs_sql.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 2261)
+++ /trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 2364)
@@ -803,5 +803,5 @@
 		}
 
-		/*used to safe memory in downloads*/
+		/*used to save memory in downloads*/
 		function print_content ($data)
 		{
Index: /trunk/phpgwapi/inc/xml_functions.inc.php
===================================================================
--- /trunk/phpgwapi/inc/xml_functions.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/xml_functions.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	// by Edd Dumbill (C) 1999-2001
 	// <edd@usefulinc.com>
Index: /trunk/phpgwapi/inc/class.soap_server.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 // SOAP server class
 
Index: /trunk/phpgwapi/inc/class.phpmailer.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 ////////////////////////////////////////////////////
 // PHPMailer - PHP email class
Index: /trunk/phpgwapi/inc/class.xml.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.xml.inc.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.xml.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 //
Index: /trunk/phpgwapi/inc/class.smtp.php
===================================================================
--- /trunk/phpgwapi/inc/class.smtp.php	(revision 2)
+++ /trunk/phpgwapi/inc/class.smtp.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 ////////////////////////////////////////////////////
 // SMTP - PHP SMTP class
Index: /trunk/phpgwapi/templates/default/listUsers.php
===================================================================
--- /trunk/phpgwapi/templates/default/listUsers.php	(revision 1559)
+++ /trunk/phpgwapi/templates/default/listUsers.php	(revision 2364)
@@ -1,3 +1,13 @@
-<?php			
+<?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	$current = $_GET['currentApp'];
 	$GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/phpgwapi/templates/default/details.inc.php
===================================================================
--- /trunk/phpgwapi/templates/default/details.inc.php	(revision 1151)
+++ /trunk/phpgwapi/templates/default/details.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 define( 'default_TEMPLATE_TITLE', 'default' );
 ?>
Index: /trunk/expressoAdmin1_2/controller.php
===================================================================
--- /trunk/expressoAdmin1_2/controller.php	(revision 2030)
+++ /trunk/expressoAdmin1_2/controller.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 if(!isset($GLOBALS['phpgw_info'])){
         $GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 2030)
+++ /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 define('PHPGW_INCLUDE_ROOT','./');	
 define('PHPGW_API_INC','phpgwapi/inc');
Index: /trunk/expressoAdmin1_2/inc/if.login.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/if.login.inc.php	(revision 594)
+++ /trunk/expressoAdmin1_2/inc/if.login.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
-<?
+<?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 /*
 	Todas as classes para geração de login deverão implementar essa interface.
Index: /trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php	(revision 1983)
+++ /trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 include_once('class.functions.inc.php');
Index: /trunk/expressoAdmin1_2/inc/load_lang.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/load_lang.php	(revision 1394)
+++ /trunk/expressoAdmin1_2/inc/load_lang.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	$lang = array();
 	if (!empty($_SESSION['phpgw_info']['expressoAdmin']['lang']))
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 2012)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 define('PHPGW_INCLUDE_ROOT','./');
 define('PHPGW_API_INC','./phpgwapi/inc');	
Index: /trunk/admin/navbar-create.php
===================================================================
--- /trunk/admin/navbar-create.php	(revision 2)
+++ /trunk/admin/navbar-create.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
   $phpgw_info = array();
   $phpgw_info["flags"]["currentapp"] = "admin";
Index: /trunk/admin/navbar-sel.php
===================================================================
--- /trunk/admin/navbar-sel.php	(revision 2)
+++ /trunk/admin/navbar-sel.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 //
 // SourceForge Knowledge Base Module v.1.0.0
Index: /trunk/admin/controller.php
===================================================================
--- /trunk/admin/controller.php	(revision 357)
+++ /trunk/admin/controller.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 $request_method = '_' . $_SERVER['REQUEST_METHOD'];
Index: /trunk/admin/inc/hook_add_def_pref.inc.php
===================================================================
--- /trunk/admin/inc/hook_add_def_pref.inc.php	(revision 2)
+++ /trunk/admin/inc/hook_add_def_pref.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
   $GLOBALS['pref']->change('common','maxmatchs','15');
   $GLOBALS['pref']->change('common','theme','default');
Index: /trunk/admin/inc/Controller.class.php
===================================================================
--- /trunk/admin/inc/Controller.class.php	(revision 357)
+++ /trunk/admin/inc/Controller.class.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 class Controller
Index: /trunk/header.session.inc.php
===================================================================
--- /trunk/header.session.inc.php	(revision 2335)
+++ /trunk/header.session.inc.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	if ( isset( $_COOKIE[ 'sessionid' ] ) )
 		session_id( $_COOKIE[ 'sessionid' ] );
Index: /trunk/controller.php
===================================================================
--- /trunk/controller.php	(revision 2346)
+++ /trunk/controller.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 	if(!isset($GLOBALS['phpgw_info'])){
         	$GLOBALS['phpgw_info']['flags'] = array(
Index: /trunk/help.php
===================================================================
--- /trunk/help.php	(revision 1860)
+++ /trunk/help.php	(revision 2364)
@@ -1,3 +1,13 @@
 <?php
+
+        /***************************************************************************
+        * Expresso Livre                                                           *
+        * http://www.expressolivre.org                                             *
+        * --------------------------------------------                             *
+        *  This program is free software; you can redistribute it and/or modify it *
+        *  under the terms of the GNU General Public License as published by the   *
+        *  Free Software Foundation; either version 2 of the License, or (at your  *
+        *  option) any later version.                                              *
+        \**************************************************************************/
 
 $GLOBALS['phpgw_info']['flags'] = array(