Index: sandbox/workflow/trunk/inc/local/classes/class.wf_orgchart.php
===================================================================
--- sandbox/workflow/trunk/inc/local/classes/class.wf_orgchart.php	(revision 2056)
+++ sandbox/workflow/trunk/inc/local/classes/class.wf_orgchart.php	(revision 2371)
@@ -140,5 +140,5 @@
 				 "  LEFT OUTER JOIN substituicao s " .
 				 "  ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) " .
-				 " WHERE " . 
+				 " WHERE " .
 				 "	(a.organizacao_id = ?) " .
 				 " ORDER BY a.sigla, a.descricao";
@@ -331,5 +331,5 @@
 				 "  LEFT OUTER JOIN substituicao s " .
 				 "  ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) " .
-				 " WHERE " . 
+				 " WHERE " .
 				 "	(a.area_id = ?) " .
 				 " ORDER BY a.sigla, a.descricao";
@@ -374,7 +374,7 @@
 				 "  LEFT OUTER JOIN substituicao s " .
 				 "  ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) " .
-				 " WHERE " . 
+				 " WHERE " .
 				 "	(UPPER(a.sigla) = UPPER(?)) " .
-				 " AND " . 
+				 " AND " .
 				 "	(a.organizacao_id = ?) " .
 				 " ORDER BY a.sigla, a.descricao";
@@ -420,5 +420,5 @@
 				 "  LEFT OUTER JOIN substituicao s " .
 				 "  ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) " .
-				 " WHERE " . 
+				 " WHERE " .
 				 "	(a.area_status_id = ?) " .
 				 " ORDER BY a.sigla, a.descricao";
@@ -468,5 +468,5 @@
 				 "  LEFT OUTER JOIN substituicao s " .
 				 "  ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) " .
-				 " WHERE " . 
+				 " WHERE " .
 				 "	(a.area_id IN ($areas)) " .
 				 " ORDER BY a.sigla, a.descricao";
@@ -542,5 +542,5 @@
 				 "  LEFT OUTER JOIN substituicao s " .
 				 "  ON ((a.area_id = s.area_id) AND (CURRENT_DATE BETWEEN s.data_inicio AND s.data_fim)) " .
-				 " WHERE " . 
+				 " WHERE " .
 				 "	(a.superior_area_id = ?) ";
 
@@ -1202,5 +1202,11 @@
 			return false;
 
-		return $employee['centro_custo_id'];
+		$costCenterID = $employee['centro_custo_id'];
+		if(!empty($costCenterID)){
+			return $costCenterID;
+		} else {
+			$employeeArea = $this->getArea($employee['area_id']);
+			return $employeeArea['centro_custo_id'];
+		}
 	}
 
Index: sandbox/workflow/trunk/js/userinterface/orgchart.js
===================================================================
--- sandbox/workflow/trunk/js/userinterface/orgchart.js	(revision 2085)
+++ sandbox/workflow/trunk/js/userinterface/orgchart.js	(revision 2371)
@@ -321,5 +321,5 @@
 		/* build the display table (headers)*/
 		content += '<table id="employeeList" class="employeeList" style="clear: both">';
-		content += '<tr>';
+		content += '<tr class="message_header">';
 		content += '<th>Nome</th>';
 		if (useArea)
Index: sandbox/workflow/trunk/js/jscode/abas.js
===================================================================
--- sandbox/workflow/trunk/js/jscode/abas.js	(revision 795)
+++ sandbox/workflow/trunk/js/jscode/abas.js	(revision 2371)
@@ -24,5 +24,5 @@
 	{
 		m = document.getElementById(BordersArray[i].border_id);
-		m.className = 'abas_menu';
+		m.className = 'menu';
 		c = document.getElementById("content_id_"+BordersArray[i].sequence);
 		if (is_ie) {
@@ -33,5 +33,5 @@
 	
 	m = document.getElementById("border_id_"+ID);
-	m.className = 'abas_menu_sel';
+	m.className = 'menu-sel';
 	c = document.getElementById("content_id_"+ID);
 	c.style.display = '';
@@ -47,5 +47,5 @@
 	td.id="border_id_" + ID;
 	td.setAttribute("width", "auto");
-	td.className = "abas_menu";
+	td.className = "menu";
 	td.setAttribute("align", "right");
 	td.onclick = function(){alternate_border(ID);};
@@ -72,5 +72,5 @@
 		div.className = "conteudo_div_ie";
 	} else {
-		div.className = "conteudo_div";
+		div.className = "conteudo";
 	}
 	div.style.display='';
@@ -87,5 +87,5 @@
 	{
 		m = document.getElementById(BordersArray[i].border_id);
-		if (m.className == 'abas_menu_sel')
+		if (m.className == 'menu-sel')
 			border_selected = BordersArray[i].border_id;
 	}
Index: sandbox/workflow/trunk/js/orgchart/utils.js
===================================================================
--- sandbox/workflow/trunk/js/orgchart/utils.js	(revision 2042)
+++ sandbox/workflow/trunk/js/orgchart/utils.js	(revision 2371)
@@ -18,4 +18,5 @@
 	/* cabeçalho */
 	tr = document.createElement("TR");
+	tr.className = 'message_header';
 	for (i in header)
 	{
@@ -24,4 +25,5 @@
 			td = document.createElement("TH");
 			td.innerHTML = header[i];
+			td.className = 'message_header';
 			tr.appendChild(td);
 		}
Index: sandbox/workflow/trunk/templates/default/userinterface.tpl
===================================================================
--- sandbox/workflow/trunk/templates/default/userinterface.tpl	(revision 795)
+++ sandbox/workflow/trunk/templates/default/userinterface.tpl	(revision 2371)
@@ -10,9 +10,9 @@
 			{foreach from=$tabs item=tab name="feTabs"}
 				{assign var='index' value=$smarty.foreach.feTabs.index}
-				<td nowrap class="abas_menu" id="border_id_{$index}" onClick="changeTab({$index})">
+				<td nowrap class="menu" id="border_id_{$index}" onClick="changeTab({$index})">
 					&nbsp;&nbsp;{$tab}&nbsp;&nbsp;
 				</td>
 			{/foreach}
-				<td nowrap id="border_blank" class="abas_last_menu" width="100%">
+				<td nowrap id="border_blank" class="last_menu" width="100%">
 					&nbsp;
 				</td>
@@ -21,5 +21,5 @@
 	</table>
 {foreach from=$tabs item=tab name="feTabs"}
-	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo_div"></div>
+	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo"></div>
 {/foreach}
 </div>
Index: sandbox/workflow/trunk/templates/default/orgchart.tpl
===================================================================
--- sandbox/workflow/trunk/templates/default/orgchart.tpl	(revision 795)
+++ sandbox/workflow/trunk/templates/default/orgchart.tpl	(revision 2371)
@@ -7,8 +7,8 @@
 		<tbody id="border_tbody">
 			<tr id="border_tr">
-				<td nowrap class="abas_menu" id="border_id_0" onClick="(alternate_border(0) == 0) ? draw_org_folder() : ''">
+				<td nowrap class="menu" id="border_id_0" onClick="(alternate_border(0) == 0) ? draw_org_folder() : ''">
 					&nbsp;&nbsp;Organograma&nbsp;&nbsp;
 				</td>
-				<td nowrap id="border_blank" class="abas_last_menu" width="100%">
+				<td nowrap id="border_blank" class="last_menu" width="100%">
 					&nbsp;
 				</td>
@@ -16,5 +16,5 @@
 		</tbody>
 	</table>
-	<div id="content_id_0" class="conteudo_div"></div>
+	<div id="content_id_0" class="conteudo"></div>
 </div>
 {$footer}
Index: sandbox/workflow/trunk/templates/default/adminsource.tpl
===================================================================
--- sandbox/workflow/trunk/templates/default/adminsource.tpl	(revision 795)
+++ sandbox/workflow/trunk/templates/default/adminsource.tpl	(revision 2371)
@@ -14,5 +14,5 @@
 				</td>
 			{/foreach}
-				<td nowrap id="border_blank" class="abas_last_menu" width="100%">
+				<td nowrap id="border_blank" class="last_menu" width="100%">
 					&nbsp;
 				</td>
@@ -21,5 +21,5 @@
 	</table>
 {foreach from=$tabs item=tab name="feTabs"}
-	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo_div"></div>
+	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo"></div>
 {/foreach}
 </div>
Index: sandbox/workflow/trunk/templates/default/monitors.tpl
===================================================================
--- sandbox/workflow/trunk/templates/default/monitors.tpl	(revision 795)
+++ sandbox/workflow/trunk/templates/default/monitors.tpl	(revision 2371)
@@ -13,5 +13,5 @@
 				</td>
 			{/foreach}
-				<td nowrap id="border_blank" class="abas_last_menu" width="100%">
+				<td nowrap id="border_blank" class="last_menu" width="100%">
 					&nbsp;
 				</td>
@@ -20,5 +20,5 @@
 	</table>
 {foreach from=$tabs item=tab name="feTabs"}
-	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo_div"></div>
+	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo"></div>
 {/foreach}
 </div>
Index: sandbox/workflow/trunk/templates/default/css/common.css
===================================================================
--- sandbox/workflow/trunk/templates/default/css/common.css	(revision 795)
+++ sandbox/workflow/trunk/templates/default/css/common.css	(revision 2371)
@@ -189,5 +189,5 @@
 
 .info_tr_header{
-	background-color: #cccccc;
+	/*background-color: #cccccc;*/
 	font-weight: bold;
 	font-size: 13px;	
@@ -268,5 +268,5 @@
 
 .table_elements_tr_header {
-	background-color: #CCCCCC;
+	/*background-color: #ABC6E1;*/
 }
 
Index: sandbox/workflow/trunk/templates/default/css/userinterface.css
===================================================================
--- sandbox/workflow/trunk/templates/default/css/userinterface.css	(revision 795)
+++ sandbox/workflow/trunk/templates/default/css/userinterface.css	(revision 2371)
@@ -126,5 +126,5 @@
 	font-size: 11px !important;
 	font-weight: normal;
-	background-color: #CCCCCC;
+	/*background-color: #ABC6E1;*/
 }
 
Index: sandbox/workflow/trunk/templates/default/css/orgchart.css
===================================================================
--- sandbox/workflow/trunk/templates/default/css/orgchart.css	(revision 795)
+++ sandbox/workflow/trunk/templates/default/css/orgchart.css	(revision 2371)
@@ -16,10 +16,10 @@
 table.organizationList tbody tr th
 {
-	background-color: #CCCCCC;
+	/*background-color: #CCCCCC;*/
 }
 
 table.organizationList tbody tr.linha0
 {
-	background-color: #F2F2F2;
+	/*background-color: #F2F2F2;*/
 	font-size: 12px;
 }
@@ -27,5 +27,5 @@
 table.organizationList tbody tr.linha1
 {
-	background-color: #E5E5E5;
+	/*background-color: #E5E5E5;*/
 	font-size: 12px;
 }
@@ -106,5 +106,5 @@
 table.employeeList tbody th
 {
-	background-color: #CCCCCC;
+	/*background-color: #CCCCCC;*/
 	font-size: 13px;
 }
@@ -112,5 +112,5 @@
 table.employeeList tbody tr.linha0
 {
-	background-color: #FFF;
+	/*background-color: #FFF;*/
 	font-size: 12px;
 }
@@ -118,5 +118,5 @@
 table.employeeList tbody tr.linha1
 {
-	background-color: #F7F7F7;
+	/*background-color: #F7F7F7;*/
 	font-size: 12px;
 }
Index: sandbox/workflow/trunk/templates/default/adminaccess.tpl
===================================================================
--- sandbox/workflow/trunk/templates/default/adminaccess.tpl	(revision 795)
+++ sandbox/workflow/trunk/templates/default/adminaccess.tpl	(revision 2371)
@@ -13,5 +13,5 @@
 				</td>
 			{/foreach}
-				<td nowrap id="border_blank" class="abas_last_menu" width="100%">
+				<td nowrap id="border_blank" class="last_menu" width="100%">
 					&nbsp;
 				</td>
@@ -20,5 +20,5 @@
 	</table>
 {foreach from=$tabs item=tab name="feTabs"}
-	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo_div"></div>
+	<div id="content_id_{$smarty.foreach.feTabs.index}" class="conteudo"></div>
 {/foreach}
 </div>