Index: branches/2.0/phpgwapi/templates/default/css/azul.css
===================================================================
--- branches/2.0/phpgwapi/templates/default/css/azul.css	(revision 1548)
+++ branches/2.0/phpgwapi/templates/default/css/azul.css	(revision 2384)
@@ -1,430 +1,236 @@
-ul
-{
-	list-style-image: url("../images/orange-ball.png");
+body
+{
+	background-color: #e9e9e9;
+}
+
+a:link,
+a:visited
+{
+	color: #000066;
+}
+
+a:hover,
+a:active
+{
+	color: #ff9933;
+}
+
+a.divSideboxEntry,
+.divSideboxEntry
+{
+	background-color: #eee;
+}
+
+a.textSidebox
+{
+	border-top-color: #aaa;
+}
+
+input,
+button
+{
+	border-color: #bbb;
+	color: #069;
+}
+
+input[type=image]
+{
+	border-color: #bbb;
+}
+
+select
+{
+	border-color: #bbb;
+	color: #006;
+}
+
+#divAppbox
+{
+	background: #fff url( ../images/bgBlockContent.jpg ) repeat-x;
+	border-color: #9c9c9c;
+}
+
+#divAppboxHeader
+{
+	background: url( ../images/bgAppTitle.png );
+	border-color: #9c9c9c;
+	color: #006;
+	text-shadow: 0.2em 0.2em 3px #999;
+}
+
+#divAppIconBar
+{
+	background: #fff url( ../images/background-icon-bar.png ) repeat-x;
+	border-top-color: #9c9c9c;
+}
+
+#divAppTextBar
+{
+	background-color: #fff;
+}
+
+#divGenTime
+{
+	color: #f00;
+}
+
+#divMain
+{
+	background: #fff;
+	border-color: #7e7e7e;
+}
+
+#divPoweredBy
+{
+	background: #fff;
+	color: #999;
+}
+
+#divSideboxContainer
+{
+	background: #fff;
+}
+
+#extraIcons
+{
+	background: #eee;
+	border-color: #7e7e7e;
+}
+
+#links_bar,
+#user_info
+{
+	color: #fff;
+}
+
+#tdAppbox
+{
+	background-color: #fff;
+}
+
+#tdSidebox
+{
+	background: #fff;
+}
+
+.conteudo
+{
+	border-color: #4A79B1;
+	color: #003;
+}
+
+.divSideboxHeader
+{
+	background: #416faa;
+	color: #fff;
+}
+
+.extraIconsRow
+{
+	border-top-color: #ddd;
+}
+
+.greyLine
+{
+	border-top-color: #7e7e7e;
+}
+
+.grid_email_class
+{
+	border-bottom-color: #cfcfcf;
+}
+
+.image-menu
+{
+	background: url( ../../../../phpgwapi/templates/default/images/folder_bg.png );
+}
+
+.last_menu
+{
+	border-bottom-color: #4a79b1;
+}
+
+.logo_expresso
+{
+	background: url( ../../../../phpgwapi/templates/default/images/logo_expresso.jpg ) no-repeat 0 3px;
+}
+
+.menu
+{
+	background: #c8d7ea;
+	border-color: #f4f7fc;
+	border-bottom-color: #4a79b1;
+}
+
+.menu-sel
+{
+	background-color: #f7f7f7;
+	border-color: #4a79b1;
+	color: #00f;
+}
+
+.menu-degrade
+{
+	background-image: url( ../../../../phpgwapi/templates/default/images/degrade.png );
+}
+
+.navbar_but
+{
+	background-image: url(../../../../phpgwapi/templates/default/images/back_app.png);
+}
+
+.navbar_butOver
+{
+	background-image: url( ../../../../phpgwapi/templates/default/images/back_app_over.png );
+}
+
+.navbar_butOut
+{
+	background-image: url( ../../../../phpgwapi/templates/default/images/back_app_out.png );
+}
+
+.tblHeadApp
+{
+	border-color: #9c9c9c;
+}
+
+.textSidebox
+{
+	border-top-color: #aaa;
+}
+
+.toolbar
+{
+	background-image: url( ../../../../phpgwapi/templates/default/images/fundo_topo.png );
+}
+
+.linha0,
+.linha1,
+.tr_msg_read,
+.tr_msg_read2
+{
+	color: #3f3f3f;
+	background: #fff;
+}
+
+.linha1,
+.tr_msg_read2
+{
+	background: #f4f8fb;
+}
+
+table.inboxElements th,
+.table_elements_tr_header,
+.info_tr_header,
+.message_header
+{
+	background: #abc6e1;
 }
 
 .prefTable
-{	  
-    background-color:#f4f8fb !important;    
-    margin: 0px 0px 10px 0px ;
-    border-left: 1px solid #D3DCE3;
-    border-right: 1px solid #D3DCE3;    
-    border-bottom: 1px solid #D3DCE3;
-    
-}
-
-.grid_email_class
-{
-	border-bottom:1px solid #cfcfcf;
-}
-
-body 
-{
-	margin: 0px !important;
-	background-color:#E9E9E9 !important;
-	font-size: 11px !important;
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	padding:0px !important;
-}
-
-img
-{
-	border-width:0px !important;
-	border-style:none !important;	
-}
-
-a:link,a:visited
-{
-	cursor:pointer !important;
-	color: #000066 !important;
-	text-decoration: none !important;
-}
-
-a:hover,a:active
-{
-	cursor:pointer !important;
-	color: #ff9933 !important;
-	text-decoration: underline !important;
-}
-
-input,button
-{
-	font-size: 11px !important; 
-	color: #006699 !important; 
-	font-family: Arial, Helvetica, sans-serif !important;
-/*	overflow: visible !important;*/
-	border: 1px #bbbbbb solid !important;
-}
-
-input[type=submit],input[type=button],button
-{
-	cursor: pointer !important; 
-	cursor: hand !important;
-}
-
-input[type=image]
-{
-	cursor: pointer !important; 
-	cursor: hand !important;
-	border: 0px #bbbbbb none !important;
-}
-select 
-{
-	font-size: 11px !important; 
-	color: #000066 !important; 
-	font-family: Arial, Helvetica, sans-serif !important;
-	border: 1px #bbbbbb solid !important;
-	z-index: -1 !important;
-}
-
-td
-{
-	font-size: 11px !important;	
-}
-
-
-
-.tblHeadApp {
-
-	border-right: #9c9c9c 1px solid; 	
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divSideboxHeader 
-{
-	text-align:center;
-	background-color:#416faa;
-	padding-top:2px;
-	height: 15px;
-	color: #FFFFFF;
-
-}
-
-a.divSideboxEntry, .divSideboxEntry
-{
-	text-align:left;
-	height:16px;
-	background-color:#eeeeee;
-}
-
-a.appTitles,.appTitles
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-
-}
-
-a.textSidebox
-{
-	font-size: 10px; 
-	border-top: #aaaaaa 0px none;
-}
-
-.textSidebox
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-	border-top: #aaaaaa 1px solid;
-
-}
-
-.sideboxSpace
-{
-	height:9px;
-}
-
-.greyLine
-{
-	margin:1px;
-	border-top-color:#7e7e7e;
-	border-top-width:1px;
-	border-top-style:solid;
-	height:1px;
-}
-
-.prefSection
-{
-	font-weight:bold;
-	font-size:16px;
-	line-height:40px;
-}
-
-#extraIcons
-{
-	background-color:#eeeeee;
-	border-width:1px;
-	border-color:#7e7e7e;
-	border-style:solid;
-}
-
-.extraIconsRow
-{
-	border-top-color:#dddddd;
-	border-top-width:1px;
-	border-top-style:solid;
-	padding:2px;
-}
-
-#divMain
-{
-	background-color:white;
-	margin-top: 0px;
-	padding:9px;
-	border-color:#7e7e7e;
-	border-width:1px;
-	border-style:solid;
-}
-
-#divLogo
-{
-	position:absolute;
-	left:20px;
-	top:5px;
-	z-index:51;
-}
-
-#divAppIconBar
-{
-	background-color:white;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	background-image: url(../images/background-icon-bar.png); 
-	background-repeat: repeat-x
-}
-
-#divAppTextBar
-{
-	background-color:white;
-}
-
-#user_info
-{
-	color: white;
-}
-#links_bar
-{
-	        color: white;
-}
-
-#divStatusBar
-{
-	height:24px;
-	padding-left:10px;
-	padding-top:0px;
-}
-
-#tdSidebox
-{
-	width:170px;
-	background-color:white;
-	overflow:visible;
-}
-
-
-#tdAppbox
-{
-	background-color:white;
-	width: 100%;
-}
-#divSideboxContainer
-{
-	position:relative;
-	width:150px;
-	top:0px;
-	left:0px;
-	background-color:white;
-	border-width:1px;
-	border-style:solid;
-	z-index:40;
-}
-
-#divAppboxHeader
-{
-	margin-top:2px;
-	margin-left:2px;
-	margin-right:2px;
-	font-size: 16px;
-	font-weight:normal;
-	font-variant:small-caps;
-	font-style:italic;
-	text-shadow:0.2em 0.2em 3px #999999;
-	color: #000066;
-	text-align: center;
-	padding: 0px;
-	background: url(../images/bgAppTitle.png);
-	height:24px;
-	line-height:24px;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-
-}
-
-#divAppbox
-{
-	background: #fff url(../images/bgBlockContent.jpg);
-	background-repeat:repeat-x;
-	padding-right:1px;
-	padding-top:1px;
-	padding-bottom:1px;
-	padding-left:15px;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	margin-top:0px;
-	margin-bottom:0px;
-	margin-left:2px;
-	margin-right:2px;
-
-}
-
-#fmStatusBar
-{
-	margin-left:4px;
-	margin-bottom:3px;
-	font-size: 10px; 
-}
-
-
-.fmButton
-{
-	background-image:url(../images/buttonbackground.png);
-	width:28px;
-	height:28px;
-	background-repeat: no-repeat;
-}
-
-#fmLocation
-{
-	position:relative;
-	margin-bottom:3px;
-	height:27px;
-
-}
-
-#fmMenu
-{
-	position:relative;
-}
-#fmFileWindow
-{
-	background-color:#ffffff;
-	margin-left:4px;
-	padding:5px;
-	position:relative;
-	border-right: #cccccc 1px solid; 
-	border-top: #9c9c9c 2px solid; 
-	border-left: #9c9c9c 2px solid; 
-	border-bottom: #cccccc 1px solid
-}
-
-#user_info
-{
-padding-left:17px;
-
-}
-
-#admin_info
-{
-	position:relative;
-	text-align:center;
-	margin-right:10px;
-}
-
-#divGenTime
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #ff0000;
-	text-align:center;
-	width:99%;
-}
-
-#divPoweredBy 
-{
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 10px;
-	color: #999999;
-	text-decoration: none;
-	padding: 7px;
-	text-align: center;
-	background-color:white;
-}
-
-.navbar_but
-{
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center;
-	text-align: center;
-	padding-right: 6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
-}
-.menu-degrade {
-          background-image: url(../../../../phpgwapi/templates/default/images/degrade.png) !important;
-          background-repeat: repeat-x;
-}
-
-.image-menu {
-        padding: 0px 0px 0px 0px;
-        background: url(../../../../phpgwapi/templates/default/images/folder_bg.png);
-}
-
-.navbar_butOver
-{
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app_over.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center !important;
-	text-align: center !important;
-	padding-right:6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
-}
-
-.navbar_butOut
-{
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app_out.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center !important;
-	text-align: center !important;
-	padding-right:6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
-}
-.toolbar
-{
-       background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo.png);
-       position:absolute;
-}
-
-.logo_expresso
-{
-	background:url(../../../../phpgwapi/templates/default/images/logo_expresso.png) no-repeat 0 3px;
-	width: 191px;
-}
+{
+	background-color: #f4f8fb;
+	margin: 0px 0px 10px 0px ;
+	border: 1px solid #D3DCE3;
+	border-top: 0px;
+}